Run of fresh-snapshots for lwt

1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
Using upstream branch https://github.com/ocsigen/lwt.git (from configuration)
Total 15089 (delta 844), reused 1017 (delta 718), pack-reused 13832
last found upstream version 5.4.0 (5.4.0) is lower than previous packaged upstream version (5.5.0+git20220415.1.654952b)
Using version string 5.5.0+git20220629.0.01eb458.
No upstream upstream-revision format specified, trying git:654952b
Not including upstream history, since previous upstream version (5.5.0+git20220415.1.654952b) is not present in packaging branch history.
Looking for upstream 5.5.0+git20220629.0.01eb458 in upstream branch https://github.com/ocsigen/lwt.git/.
Running dist command: SCHROOT=unstable-amd64-sbuild PYTHONPATH=/:/code:/code/breezy:/code/dulwich:/code/lintian-brush:/code/ognibuild:/code/silver-platter:/code/buildlog-consultant:/code/upstream-ontologist:/code/debmutate:/code/python-debian/lib:/usr/lib/python310.zip:/usr/lib/python3.10:/usr/lib/python3.10/lib-dynload:/usr/local/lib/python3.10/dist-packages:/usr/lib/python3/dist-packages /usr/bin/python3 -m janitor.dist --packaging=/tmp/janitorheucuxmx/lwt/debian
Opened schroot session unstable-amd64-sbuild-f2d5e518-f69c-4526-b05f-9eed555f1c1d (from unstable-amd64-sbuild)
apt: running ['apt', '-y', 'satisfy', 'debhelper-compat (= 13),\n dh-ocaml,\n libev-dev,\n ocaml-findlib,\n ocaml-dune,\n libdune-ocaml-dev,\n cppo,\n libfindlib-ocaml-dev,\n libreact-ocaml-dev,\n libresult-ocaml-dev,\n libmmap-ocaml-dev,\n libppxlib-ocaml-dev,\n libocplib-endian-ocaml-dev,\n libseq-ocaml-dev,\n ocaml-compiler-libs,\n ocaml-nox']
Creating directory /root in schroot session.
Using dependency resolver: [apt, cpan, ctan, pypi, npm, go, hackage, cran, bioconductor, octave-forge]
Running ['make', 'dist']
Build failed with unidentified error:
make: *** No rule to make target 'dist'.  Stop.
Imported lwt_5.5.0+git20220629.0.01eb458.orig.tar.gz with pristine-tar.
All changes applied successfully.
Changelog last touched at 'ee24d5fc7dfac0c0eb00b540870c7f0821e643e7'
Continuing from commit 'ee24d5fc7dfac0c0eb00b540870c7f0821e643e7'
Committing to: /tmp/janitorheucuxmx/lwt/
modified .github/workflows/workflow.yml
modified CHANGES
modified debian/changelog
modified docs/manual.wiki
modified lwt.opam
modified lwt_domain.opam
modified lwt_luv.opam
modified lwt_ppx.opam
modified lwt_ppx_let.opam
modified lwt_react.opam
modified src/core/dune
modified src/core/lwt.ml
modified src/core/lwt.mli
modified src/core/lwt_mvar.mli
modified src/core/lwt_pqueue.mli
modified src/core/lwt_result.ml
modified src/core/lwt_result.mli
modified src/core/lwt_stream.ml
modified src/core/lwt_stream.mli
modified src/domain/lwt_domain.ml
modified src/ppx/ppx_lwt.mli
modified src/react/dune
renamed src/react/lwt_react.cppo.ml => src/react/lwt_react.ml
modified src/react/lwt_react.mli
modified src/unix/config/discover.ml
modified src/unix/dune
modified src/unix/luv/lwt_luv.ml
modified src/unix/lwt_bytes.ml
modified src/unix/lwt_config.h
modified src/unix/lwt_engine.mli
modified src/unix/lwt_fmt.mli
modified src/unix/lwt_io.ml
modified src/unix/lwt_io.mli
modified src/unix/lwt_libev_stubs.c
modified src/unix/lwt_main.mli
modified src/unix/lwt_preemptive.ml
renamed src/unix/lwt_process.ml => src/unix/lwt_process.cppo.ml
modified src/unix/lwt_process.mli
modified src/unix/lwt_process_stubs.c
modified src/unix/lwt_unix.cppo.ml
modified src/unix/lwt_unix.cppo.mli
modified src/unix/lwt_unix.h
modified src/unix/lwt_unix_stubs.c
modified src/unix/unix_c/unix_accept4.c
modified src/unix/unix_c/unix_access_job.c
modified src/unix/unix_c/unix_chdir_job.c
modified src/unix/unix_c/unix_chmod_job.c
modified src/unix/unix_c/unix_chown_job.c
modified src/unix/unix_c/unix_chroot_job.c
modified src/unix/unix_c/unix_close_job.c
modified src/unix/unix_c/unix_closedir_job.c
modified src/unix/unix_c/unix_fchmod_job.c
modified src/unix/unix_c/unix_fchown_job.c
modified src/unix/unix_c/unix_fdatasync_job.c
modified src/unix/unix_c/unix_fsync_job.c
modified src/unix/unix_c/unix_ftruncate_job.c
modified src/unix/unix_c/unix_get_credentials.c
modified src/unix/unix_c/unix_get_network_information_utils.c
modified src/unix/unix_c/unix_getaddrinfo_job.c
modified src/unix/unix_c/unix_link_job.c
modified src/unix/unix_c/unix_lseek_job.c
modified src/unix/unix_c/unix_mkdir_job.c
modified src/unix/unix_c/unix_mkfifo_job.c
modified src/unix/unix_c/unix_open_job.c
modified src/unix/unix_c/unix_pread_job.c
modified src/unix/unix_c/unix_read_job.c
modified src/unix/unix_c/unix_recv_send_utils.c
modified src/unix/unix_c/unix_recv_send_utils.h
modified src/unix/unix_c/unix_rename_job.c
modified src/unix/unix_c/unix_rmdir_job.c
modified src/unix/unix_c/unix_set_affinity.c
modified src/unix/unix_c/unix_symlink_job.c
modified src/unix/unix_c/unix_tcdrain_job.c
modified src/unix/unix_c/unix_tcflow_job.c
modified src/unix/unix_c/unix_tcflush_job.c
modified src/unix/unix_c/unix_tcsendbreak_job.c
modified src/unix/unix_c/unix_truncate_job.c
modified src/unix/unix_c/unix_unlink_job.c
modified src/unix/windows_c/windows_pread_job.c
modified src/unix/windows_c/windows_read_job.c
modified src/unix/windows_c/windows_system_job.c
modified test/core/test_lwt.ml
modified test/core/test_lwt_list.ml
modified test/core/test_lwt_result.ml
modified test/core/test_lwt_stream.ml
modified test/domain/dune
modified test/ppx_expect/main.ml
modified test/react/test_lwt_event.ml
modified test/unix/dummy.ml
modified test/unix/dune
modified test/unix/test_lwt_bytes.ml
modified test/unix/test_lwt_process.ml
renamed test/unix/test_lwt_unix.cppo.ml => test/unix/test_lwt_unix.ml
Committed revision 198.
Merged new upstream version 5.5.0+git20220629.0.01eb458 (previous: 5.5.0+git20220415.1.654952b)
Refresh quilt patches.
An error occurred refreshing quilt patch 0003-Disable-page_size-test.patch: 

Applying patch debian/patches/0003-Disable-page_size-test.patch
patching file test/unix/test_lwt_bytes.ml
Hunk #1 FAILED at 773.
1 out of 1 hunk FAILED -- rejects in file test/unix/test_lwt_bytes.ml
Patch debian/patches/0003-Disable-page_size-test.patch does not apply (enforce with -f)

Publish Blockers

  • ☒ run was not successful
  • ☑ package has not been removed from the archive
  • ☑ command has not changed
  • ☒ not yet reviewed, but review needed
  • ☑ 0 publish attempts so far.not currently attempting to back off
  • ☒ merge proposals for the package maintainer are currently being rate-limited (open: 164, max open: 151)
  • ☒ change set 8686da81-51a1-4c7d-a3ee-dea2f2a64f9b is working

Full worker log